%define anolis_release 1

%define glib2_version 2.73.3

Name:           glib-networking
Version:        2.80.0
Release:        %{anolis_release}%{dist}
Summary:        Networking support for GLib

License:        LGPL-2.1-or-later WITH cryptsetup-OpenSSL-exception
URL:            https://gitlab.gnome.org/GNOME/glib-networking
Source0:        https://download.gnome.org/sources/glib-networking/2.80/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson >= 0.60.0
BuildRequires:  systemd-rpm-macros ca-certificates gettext
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0) >= %{glib2_version} pkgconfig(gnutls) >= 3.7.4
BuildRequires:  pkgconfig(libproxy-1.0) >= 0.4.16
BuildRequires:  pkgconfig(p11-kit-1)

Requires:       ca-certificates
Requires:       glib2 >= %{glib2_version}
Requires:       gsettings-desktop-schemas

Recommends:     libproxy-duktape

%description
Network-related giomodules for glib

glib-networking contains the implementations of certain GLib networking features
that cannot be implemented directly in GLib itself because of their
dependencies.

Currently it contains GnuTLS and OpenSSL-based implementations of GTlsBackend, 
a libproxy-based implementation of GProxyResolver, GLibproxyResolver,
and a GNOME GProxyResolver that uses the proxy information from the GSettings
schemas in gsettings-desktop-schemas.

%package tests
Summary: Tests for the glib-networking package
# glib-networking-2.78.0/tls/tests/mock-pkcs11.c is Apache-2.0
# pkcs11t.h is LicenseRef-RSA
# dtls-connection.c is LGPL-2.0-or-later but not currently included in the binaries
License: LGPL-2.1-or-later WITH cryptsetup-OpenSSL-exception AND Apache-2.0 AND LicenseRef-RSA
Requires: %{name} = %{EVR}

%description tests
The glib-networking-tests package contains tests that can be used to verify
the functionality of the installed glib-networking package.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dinstalled_tests=true
%meson_build

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING LICENSE_EXCEPTION
%dir %{abidir}
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libdir}/gio/modules/libgiognutls.so
%{abidir}/mock-pkcs11.dump
%{abidir}/libgiognomeproxy.dump
%{abidir}/libgiognutls.dump
%{_libdir}/gio/modules/libgiolibproxy.so
%{abidir}/libgiolibproxy.dump
%{_libexecdir}/glib-pacrunner
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_userunitdir}/glib-pacrunner.service

%files tests
%{_libexecdir}/installed-tests/glib-networking
%{_datadir}/installed-tests

%files doc
%doc NEWS README

%changelog
* Tue Feb 18 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 2.80.0-1
- update to 2.80.0
- Migrate to SPDX license
- Remove the !libproxy conditionals, enable libproxy support

* Fri Apr 14 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.74.0-3
- Refactor the spec file

* Wed Feb 15 2023 Funda Wang <fundawang@yeah.net> - 2.74.0-2
- Prefer libproxy-duktape now

* Sat Jan 21 2023 Funda Wang <fundawang@yeah.net - 2.74.0-1
- New version 2.74.0

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.72.0-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 2.72.0-1
- Init package from upstream v2.72.0
